/**********************************************************************************
 * Project: ROOT - a Root-integrated toolkit for multivariate data analysis       *
 * Package: TMVA                                                                  *
 * Web    : http://tmva.sourceforge.net                                           *
 *                                                                                *
 * Description:                                                                   *
 *                                                                                *
 * Authors:                                                                       *
 *      Stefan Wunsch (stefan.wunsch@cern.ch)                                     *
 *                                                                                *
 * Copyright (c) 2019:                                                            *
 *      CERN, Switzerland                                                         *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in LICENSE           *
 * (http://tmva.sourceforge.net/LICENSE)                                          *
 **********************************************************************************/

#ifndef TMVA_TREEINFERENCE_PYTHONHELPERS
#define TMVA_TREEINFERENCE_PYTHONHELPERS

namespace TMVA {
namespace Experimental {

/// \class TMVA::Experimental::SaveXGBoost
/// \brief Save an XGBoost to a ROOT file to be used with the fast tree inference
/// system of TMVA.
///
/// This class is only a dummy class to be pythonized in PyROOT from the Python
/// side.
class SaveXGBoost {};
} // namespace Experimental
} // namespace TMVA

#endif // TMVA_TREEINFERENCE_PYTHONHELPERS
